Bug 492595 - fiascotopnm fails on an image generated by pnmtofiasco
fiascotopnm fails on an image generated by pnmtofiasco
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: netpbm (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Jindrich Novy
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 11:59 EDT by Petr Šplíchal
Modified: 2016-05-31 21:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 08:10:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2009-03-27 11:59:50 EDT
Description of problem:
fiascotopnm fails with "Can't read next bit from bitfile" error
when run on a fiasco file generated with pnmtofiasco.

Version-Release number of selected component (if applicable):
netpbm-10.35.58-6.el4.ppc

How reproducible:
Always on ppc, s390 and s390x

Steps to Reproduce:
1. ppmwheel 100 | ppmtopgm > test.pgm
2. pnmtofiasco <test.pgm >test.fiasco
3. fiascotopnm <test.fiasco >test.pnm

Actual results:
fiascotopnm: fiascotopnm.c: line 271:
Error: Can't read next bit from bitfile -.

Expected results:
a PNM image test.pnm

Additional info:
The same fault is futhermore reproducable with original ppm image
on 390x and original pbm image on ppc. To sum up:

s390:  pgm
s390x: pgm, ppm
ppc:   pgm, pbm
Comment 1 Ondrej Vasik 2011-02-18 08:10:28 EST
Thanks for report, but we will not be able to address the issue in RHEL-4.
RHEL-4.9 was the last RHEL-4 regular update. As RHEL-4 now targets only
critical and security fixes, closing this bugzilla WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.